<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductosDesplegadosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('productos_desplegados', function (Blueprint $table) {
            $table->id();
            $table->integer('product_id')->nullable();
            $table->integer('metal_desplegado_id')->nullable();
            $table->float('espesor')->nullable();
            $table->string('medida', 100)->nullable();
            $table->float('peso_m2')->nullable();
            $table->float('cantidad')->nullable();
            $table->string('formula', 250)->nullable();
            $table->float('valor')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('productos_desplegados');
    }
}
